# test.py
# ----------
# By MWC Contributors
#
# Tests one letter in `typeface`. This testing script will be very useful
# as you work on one letter at a time. This program requires one argument, 
# the letter you want to test. For example: 
#
#   python test.py q

from turtle import *
from grid import draw_grid
from argparse import ArgumentParser
from superturtle.movement import no_delay
import typeface

UNIT = 40
GRID_COLOR = "lightgrey"
GRID_SIZE = 1
LETTER_COLOR = "black"
LETTER_SIZE = 3

parser = ArgumentParser("Test a letter in your typeface.")
parser.add_argument("letter")
arguments = parser.parse_args()
letter_function_name = "draw_letter_" + arguments.letter
letter_function = getattr(typeface, letter_function_name)

penup()
goto(-160, -160)
pendown()

with no_delay():
    color(GRID_COLOR)
    pensize(GRID_SIZE)
    draw_grid(UNIT)

color(LETTER_COLOR)
pensize(LETTER_SIZE)
letter_function(UNIT)

input()
